# vim: set ft=spec: -*- rpm-spec -*-
# $Id: evms,v 1.82 2003/09/03 11:30:07 cat Exp $
##

%define  patch_name kernel-feat-evms
%define  src_patches_dir kernel/2.4

Name: evms
Version: 2.1.1
Release: alt11

Summary: Enterprise Volume Management System utilities
License: GPL
Group: System/Kernel and hardware
Url: http://www.sourceforge.net/projects/evms

Source0: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Source1: %{name}d
#Source2: 7-vfs-lock-alt.patch
#Source3: %name.modules

Patch0: %name-%version-pipe.patch.bz2
Patch1: %name-%version-cli-Print_Value.patch.bz2
Patch2: %name-%version-engine-conf.patch.bz2
Patch3: %name-%version-raid1_mgr.patch.bz2
Patch4: %name-%version-raid5_mgr.patch.bz2
Patch5: %name-%version-get_real_dev.patch.bz2
Patch6: %name-%version-raid0-fix.patch.bz2
Patch7: %name-%version-build.patch.bz2

# Automatically added by buildreq on Tue May 20 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libe2fs-devel libncurses-devel libreadline-devel libtinfo-devel

BuildPreReq: kernel-build-tools

%package -n lib%name
Summary: Enterprise Volume Management System libraries
Group: System/Libraries

%package -n lib%name-devel
Summary: Enterprise Volume Management System develop path
Group: Development/C
Prereq: lib%name = %version-%release
Provides: %name-devel = %version-%release

%package -n %name-cli
Summary: EVMS GUI
Group: System/Kernel and hardware
Requires: evms

%package -n %name-ncurses
Summary: EVMS GUI
Group: System/Kernel and hardware
Requires: evms

%package -n %name-gui
Summary: EVMS GUI
Group: System/Kernel and hardware
Requires: evms

%package -n %patch_name
Summary: %patch_name kernel patch - Enterprise Volume Manager System
Group: Development/Other
Requires: kernel-fix-lvm kernel-feat-dm

%description
This package contains the user-space tools needed to manage EVMS (Enterprise
Volume Management System) volumes.

In order to use these user-space tools, you must also have your kernel patched
with the most recent EVMS code. This code is available in the source package
on the project web page http://www.sf.net/projects/evms/

Please see the EVMS-HOWTO on the project web page or in the source package
for detailed instructions on patching your kernel with EVMS and using the
tools after installation.

%description -n lib%name
This package contains libs needed to manage EVMS (Enterprise
Volume Management System) volumes.

%description -n lib%name-devel
This package contains develop tools needed to manage EVMS (Enterprise
Volume Management System) volumes.

%description -n %name-cli
Command line tool for EVMS

%description -n %name-ncurses
Ncurses ui tool for EVMS

%description -n %name-gui
GTK+ ui tool for EVMS

%description -n %patch_name
This patch adds support for EVMS, the Enterprise Volume Manager System.
It uses device mapper to work 

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p0

#%__subst 's|\("EVMS: \)\("\)|\1\\n\2|g' ui/cli/%name.c

%build
%configure --disable-s390 --disable-gpt --disable-aix --libdir=/lib
#%make_build LD_LIBRARY_PATH=%buildroot/lib
LD_LIBRARY_PATH=%buildroot/lib make

%install
%__mkdir_p %buildroot{%_sysconfdir,%_initdir,%_libdir,/sbin} \
		%patches_dir/%patch_name/kernel-fix-lvm
%__make DESTDIR=%buildroot prefix=%buildroot%_prefix install
%__install -p -m 0755 %SOURCE1 %buildroot%_initdir/%name
%__install -p -m 0755 tests/evms_deactivate %buildroot/sbin/

for i in evms_activate evms evmsn evms_gather_info; do 
	%__mv %buildroot%_sbindir/$i %buildroot/sbin/
done

%__ln_s -f ../../lib/libdlist-2.0.so.0.0 %buildroot%_libdir/libdlist.so
%__ln_s -f ../../lib/libevms-2.1.so.0.1 %buildroot%_libdir/libevms.so


#patches
for i in %src_patches_dir/*.patch; do
	%__install -p -m 644 $i %patches_dir/%patch_name/kernel-fix-lvm
done
#specific for alt fixes:
#vfs-lock patch was devided to pure evms and lvm parts
#%__rm %patches_dir/%patch_name/linux-2.4-evms-2.0.1-to-2.1.0.patch
%__rm %patches_dir/%patch_name/kernel-fix-lvm/vfs-lock.patch
%__rm %patches_dir/%patch_name/kernel-fix-lvm/list.patch
#%%__install -p -m 644 %SOURCE2 %patches_dir/%patch_name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

#%%post
#%%post_service %name

#%%preun
#%%preun_service %name

%files
%doc doc/init.d_evms doc/linuxrc ChangeLog INSTALL* README PLUGIN.IDS TERMINOLOGY
%config(noreplace) %_sysconfdir/%name.conf
%_initdir/%name
/sbin/%{name}_*
%_sbindir/get_real_dev
%_sbindir/get_dev_num
%_man8dir/%{name}_*

%files -n lib%name
/lib/%name/*
/lib/libdlist-*.so.*
/lib/lib%name-*.so.*

%files -n lib%name-devel
%_libdir/libdlist.so
%_libdir/lib%name.so
%_includedir/*

%files -n %name-cli
/sbin/%name
%_man8dir/%name.*

%files -n %name-ncurses
/sbin/%{name}n

%files -n %name-gui
%_sbindir/%{name}gui

%files -n %patch_name
%patches/%patch_name

%changelog
* Wed Sep 03 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.1-alt11
- work on raid1_mgr, raid5_mgr

* Mon Sep  1 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.1-alt10
- fixed print value patch

* Fri Aug 29 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.1-alt9
- work on raid1_mgr, raid5_mgr

* Fri Aug 29 2003  Pavel Mironchik <p.mironchik@sam-solutions.net> 2.1.1-alt8
- typo

* Fri Aug 29 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.1-alt7
- work on raid1_mgr, raid5_mgr

* Thu Aug 28 2003  Pavel Mironchik <p.mironchik@sam-solutions.net> 2.1.1-alt6
- patch was rewrote

* Wed Aug 27 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.1-alt5
- work on raid1_mgr

* Wed Aug 27 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.1-alt4
- raid1_mgr: API version was changed

* Wed Aug 27 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.1-alt3
- typo

* Wed Aug 27 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.1-alt2
- work on raid1_mgr

* Tue Aug 26 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.1-alt1
- New upstream release

* Tue Aug 26 2003  Pavel Mironchik <p.mironchik@sam-solutions.net> 2.1.0-alt30
- fixed bug with Raid0 (segmentation fault)

* Mon Aug 25 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt29
- get_real_dev utility was added

* Fri Aug 21 2003  Pavel Mironchik <p.mironchik@sam-solutions.net> 2.1.0-alt28
- fixed another bug in  Print_Value [cli]

* Thu Aug 21 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt27
- work on raid1_mgr

* Thu Aug 21 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt26
- typo; typo

* Thu Aug 21 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt25
- work on raid1_mgr

* Thu Aug 21 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt24
- work on raid1_mgr

* Wed Aug 20 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt23
- work on raid1_mgr

* Tue Aug 19 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt22
- work on raid1_mgr

* Tue Aug 19 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt21
- working on raid1_mgr

* Tue Aug 19 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt20
- bug fixing in raid1_mgr

* Tue Aug 19 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt19
- back to the previous version
- bug fixing in raid1_mgr

* Mon Aug 18 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt18
- typo

* Fri Aug 15 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt17
- bug fixing

* Fri Aug 15 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt16
- bug fixing

* Fri Aug 15 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt15
- raid1mgr, engine-conf patches were added

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt14
- Added cli-Print_Value.patch

* Mon Aug 04 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt13
- removed revalidate patch again
- fflush_stdout renamed to pipe. Command line key changed too
	
* Mon Aug 04 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt12
- Fixed boot impossibility

* Thu Jul 31 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt11
- removed revalidate patch
- adoped to update-modules

* Thu Jul 17 2003  Alexey Kotovich <a.kotovich@sam-solutions.net> 2.1.0-alt10
- fflush_stdout patch was added

* Mon Jul 14 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt9
- fixed major number (117)

* Thu Jul 10 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt8
- added device mapper depend
- vfs lock patch fix

* Thu Jul 10 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt7
- added evms kernel patches package (2.4.21)

* Thu Jul 10 2003 Grigory Milev <week@altlinux.ru> 2.1.0-alt6
- fixed startup script

* Thu Jul 10 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt5
- added evms_deactivate
- added revalidate patch

* Tue Jul 08 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt4
- fixed post/preun scripts in evms

* Tue Jul 08 2003 Zhenja Kaluta <tren@altlinux.ru> 2.1.0-alt3
- splited client package

* Wed Jul  2 2003 Grigory Milev <week@altlinux.ru> 2.1.0-alt2
- fix evms start/stop script

* Tue Jul  1 2003 Alexey Kotovich <akotovich@optifacio.com> 2.1.0-alt1
- up to new evms release

* Tue Jul  1 2003 Grigory Milev <week@altlinux.ru> 2.0.1-alt2
- fixing evmsd start/stop script

* Thu May 22 2003 Alexey Kotovich <akotovich@optifacio.com> 2.0.1-alt1
- up to date

* Tue May 20 2003 Grigory Milev <week@altlinux.ru> 2.0.0-alt3
- rebuild with ncurses and build gtk gui

* Mon May 19 2003 Grigory Milev <week@altlinux.ru> 2.0.0-alt2
- remove s390 support

* Wed Apr 30 2003 Grigory Milev <week@altlinux.ru> 2.0.0-alt1
- merged with ALM2.2

* Tue Mar 25 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-5aw
- typo

* Tue Mar 25 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-5aw
- autofix was added to evms_revaildate and evms_delete_all utilities

* Mon Mar 17 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-4aw
- typo

* Mon Mar 17 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-4aw
- typo

* Mon Mar 17 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-4aw
- evms_revalidate utility was added

* Wed Jan 15 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-3aw
- deleting algorithm improved

* Tue Jan 14 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-3aw
- major changes

* Mon Jan 13 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-3aw
- some parameters were added

* Mon Jan 13 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-3aw
- typo

* Fri Jan 10 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-3aw
- slightest changes

* Fri Jan 10 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-3aw
- writing zeros into partitions was added

* Fri Jan 10 2003 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-3aw
- deleting utility was added

* Thu Jan  9 2003 Grigory Milev <week@altlinux.ru> 1.2.1-2aw
- rebuild with gcc3.2

* Mon Dec 23 2002 Alexey Kotovich <akotovich@optifacio.com> 1.2.1-1aw
- up to evms-1.2.1

* Mon Dec 9 2002 Alexey Kotovich <akotovich@optifacio.com> 1.2.0-1aw
- patches for snapshot and lvmmgr were added

* Wed Oct 2 2002 Alexey Kotovich <akotovich@optifacio.com> 1.2.0-1aw
- evms-1.2.0-pargs patch added

* Wed Oct 2 2002 Alexey Kotovich <akotovich@optifacio.com> 1.2.0-1aw
- up to evms-1.2.0

* Tue Sep 17 2002 Alexey Kotovich <a.kotovich@sam-solutions.net> 1.1.0-2aw
- up to evms-1.1.0 

* Wed Jun 12 2002 Alexey Kotovich <akotv@mail.ru> 1.0.1-5aw
- processing of command line arguments for plugins was added

* Wed Jun 12 2002 Grigory Milev <week@altlinux.ru> 1.0.1-4aw
- added new args for command line

* Fri May 31 2002 Grigory Milev <week@altlinux.ru> 1.0.1-3aw
- added flush stdout

* Mon May 20 2002 Grigory Milev <week@altlinux.ru> 1.0.1-1aw
- AW adaptation
- libification and move devel path to separate package

* Thu Apr 25 2002 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 1.0.1 release.
- added dlist.h and evms_gather_info to files list.

* Thu Mar 28 2002 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 1.0.0 release.

* Mon Mar 4 2002 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.9.2 release.

* Thu Feb 14 2002 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.9.1 release.
- added evms_rediscover and evms_info_level.

* Mon Jan 14 2002 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.9.0 release.
- added evms_rediscover utility.

* Tue Dec 11 2001 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.2.4 release.
- added text-mode UI, dev-node fixup program, new LVM utilities, MD region
  manager, and AIX region manager.

* Mon Nov 5 2001 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.2.3 release.

* Fri Nov 2 2001 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.2.2 release.

* Tue Oct 23 2001 Kevin Corry <corryk@us.ibm.com>
- added comments about requiring kernel patch and rebuild

* Sat Oct 20 2001 Kevin Corry <corryk@us.ibm.com>
- added OS/2 region manager library
- added more LVM-compatible utilities

* Thu Oct 11 2001 Kevin Corry <corryk@us.ibm.com>
- added new LVM-compatible utilities
- updated version numbers of all plugin libraries

* Tue Oct 9 2001 Hollis Blanchard <hollis@austin.ibm.com>
- added %post ldconfig (so the libevms.so symlink is created)
- removed BBR makefile patch
- autoconf before configure

* Sun Oct 7 2001 Hollis Blanchard <hollis@austin.ibm.com>
- initial spec

